IntegrationDialog Class Reference

Integration options dialog. More...

`#include <IntegrationDialog.h>`

Inheritance diagram for IntegrationDialog:

## Public Slots

void | activateCurve (const QString &)
void | changeDataRange ()
void | integrate ()

## Public Member Functions

| IntegrationDialog (Graph *g, QWidget *parent=0, Qt::WFlags fl=0)
| IntegrationDialog (Table *t, QWidget *parent=0, Qt::WFlags fl=0)

## Private Member Functions

void | closeEvent (QCloseEvent *e)
void | integrateCurve ()
void | integrateTable ()
void | setGraph (Graph *g)
void | setTable (Table *t)

## Private Attributes

DoubleSpinBox * | boxEnd
QSpinBox * | boxEndRow
QComboBox * | boxName
QCheckBox * | boxShowPlot
QCheckBox * | boxShowTable
QCheckBox * | boxSortData
DoubleSpinBox * | boxStart
QSpinBox * | boxStartRow
QPushButton * | buttonCancel
QPushButton * | buttonFit
Graph * | d_graph
Table * | d_table

## Detailed Description

Integration options dialog.

## Constructor & Destructor Documentation

## IntegrationDialog() [1/2]

IntegrationDialog::IntegrationDialog | ( | Graph * | g,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References activateCurve(), boxEnd, boxName, boxShowPlot, boxSortData, boxStart, buttonCancel, buttonFit, ApplicationWindow::d_decimal_digits, ApplicationWindow::d_int_show_plot, ApplicationWindow::d_int_sort_data, integrate(), DoubleSpinBox::setDecimals(), and setGraph().

## IntegrationDialog() [2/2]

IntegrationDialog::IntegrationDialog | ( | Table * | t,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References boxEndRow, boxShowPlot, boxShowTable, boxSortData, boxStartRow, buttonCancel, buttonFit, ApplicationWindow::d_int_results_table, ApplicationWindow::d_int_show_plot, ApplicationWindow::d_int_sort_data, integrate(), and setTable().

## Member Function Documentation

## activateCurve

void IntegrationDialog::activateCurve | ( | const QString & | s | ) |

slot

References boxEnd, boxStart, Graph::curve(), d_graph, Graph::range(), and DoubleSpinBox::setValue().

Referenced by IntegrationDialog(), and setGraph().

## changeDataRange

void IntegrationDialog::changeDataRange | ( |  | ) |

slot

References boxEnd, boxStart, d_graph, Graph::selectedXEndValue(), Graph::selectedXStartValue(), and DoubleSpinBox::setValue().

Referenced by setGraph().

## closeEvent()

void IntegrationDialog::closeEvent | ( | QCloseEvent * | e | ) |

private

References boxShowPlot, boxShowTable, boxSortData, ApplicationWindow::d_int_results_table, ApplicationWindow::d_int_show_plot, ApplicationWindow::d_int_sort_data, and d_table.

## integrate

void IntegrationDialog::integrate | ( |  | ) |

slot

References d_graph, d_table, integrateCurve(), and integrateTable().

Referenced by IntegrationDialog().

## integrateCurve()

void IntegrationDialog::integrateCurve | ( |  | ) |

private

References Graph::analysableCurvesList(), boxEnd, boxName, boxShowPlot, boxSortData, boxStart, Graph::curve(), d_graph, Filter::enableGraphicsDisplay(), Filter::run(), Filter::setDataFromCurve(), Filter::setSortData(), and DoubleSpinBox::value().

Referenced by integrate().

## integrateTable()

void IntegrationDialog::integrateTable | ( |  | ) |

private

References Integration::area(), boxEndRow, boxShowPlot, boxShowTable, boxSortData, boxStartRow, Table::colIndex(), Table::colName(), Table::colX(), d_table, Filter::enableGraphicsDisplay(), ApplicationWindow::newTable(), Filter::run(), Table::selectedYColumns(), Table::setCell(), Table::setColName(), and Table::setText().

Referenced by integrate().

## setGraph()

void IntegrationDialog::setGraph | ( | Graph * | g | ) |

private

References activateCurve(), Graph::analysableCurvesList(), boxName, changeDataRange(), Graph::curveRange(), d_graph, Graph::rangeSelectorsEnabled(), and Graph::rangeSelectorTool().

Referenced by IntegrationDialog().

## setTable()

void IntegrationDialog::setTable | ( | Table * | t | ) |

private

References boxEndRow, boxShowTable, boxStartRow, d_table, Table::getSelection(), Table::numRows(), and Table::selectedYColumns().

Referenced by IntegrationDialog().

## Member Data Documentation

## boxEnd

DoubleSpinBox* IntegrationDialog::boxEnd

private

Referenced by activateCurve(), changeDataRange(), integrateCurve(), and IntegrationDialog().

## boxEndRow

QSpinBox* IntegrationDialog::boxEndRow

private

Referenced by integrateTable(), IntegrationDialog(), and setTable().

## boxName

QComboBox* IntegrationDialog::boxName

private

Referenced by integrateCurve(), IntegrationDialog(), and setGraph().

## boxShowPlot

QCheckBox* IntegrationDialog::boxShowPlot

private

Referenced by closeEvent(), integrateCurve(), integrateTable(), and IntegrationDialog().

## boxShowTable

QCheckBox* IntegrationDialog::boxShowTable

private

Referenced by closeEvent(), integrateTable(), IntegrationDialog(), and setTable().

## boxSortData

QCheckBox* IntegrationDialog::boxSortData

private

Referenced by closeEvent(), integrateCurve(), integrateTable(), and IntegrationDialog().

## boxStart

DoubleSpinBox* IntegrationDialog::boxStart

private

Referenced by activateCurve(), changeDataRange(), integrateCurve(), and IntegrationDialog().

## boxStartRow

QSpinBox* IntegrationDialog::boxStartRow

private

Referenced by integrateTable(), IntegrationDialog(), and setTable().

## buttonCancel

QPushButton* IntegrationDialog::buttonCancel

private

Referenced by IntegrationDialog().

## buttonFit

QPushButton* IntegrationDialog::buttonFit

private

Referenced by IntegrationDialog().

## d_graph

Graph* IntegrationDialog::d_graph

private

Referenced by activateCurve(), changeDataRange(), integrate(), integrateCurve(), and setGraph().

## d_table

Table* IntegrationDialog::d_table

private

Referenced by closeEvent(), integrate(), integrateTable(), and setTable().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/dialogs/IntegrationDialog.h
- qtiplot/src/analysis/dialogs/IntegrationDialog.cpp